/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2020 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/

/*******************************************************************************
* File Name    : r_main.c
* Version      : 1.00
* Device(s)    : R7F100GLG
* Tool-Chain   : CCRL
* Description  : This file implements main function.
* Creation Date: 2021/07/07
********************************************************************************/


/*******************************************************************************
Includes
********************************************************************************/
#include "r_cg_macrodriver.h"
#include "r_cg_userdefine.h"
#include "Config_TAU0_7.h"
#include "Config_TAU0_6.h"
#include "Config_TAU0_5.h"

/*******************************************************************************
Pragma directive
********************************************************************************/

/*******************************************************************************
Global variables and functions
********************************************************************************/

#define Time500 ( 62500 )                   /* 0.5bp̃JEgl      */
#define Time250 ( 31250 )                   /* 0.25bp̃JEgl     */
#define Time125 ( 15625 )                   /* 0.125bp̃JEgl    */
#define Time63  (  7813 )                   /* 0.063bp̃JEgl    */

uint16_t const INTERVAL[2][4] =             /* C^[oԃe[u */
{                                           /* LED1p̃^C}f[^     */
    {Time63-1,Time125-1,Time250-1,Time500-1},
                                            /* LED2p̃^C}f[^     */
    {Time500-1,Time250-1,Time125-1,Time63-1}
};


void R_MAIN_UserInit(void);

void main(void);

/*******************************************************************************
* Function Name: main
* Description  : This function main function.
* Arguments    : None
* Return Value : None
********************************************************************************/
void main(void)
{
    R_MAIN_UserInit();                      /* ^C}N         */

    while (1)
    {
        HALT();                             /* HALT[hŊ荞ݑ҂ */
    }

}


/*******************************************************************************
* Function Name: R_MAIN_UserInit
* Description  : This function adds user code before implementing main function.
* Arguments    : None
* Return Value : None
********************************************************************************/
void R_MAIN_UserInit(void)
{
    R_Config_TAU0_5_Start();                /* XCb`mFp^C}N */
    R_Config_TAU0_6_Start();
    R_Config_TAU0_7_Start();
    EI();
}
